Package Scientific :: Package Visualization :: Module VRML2 :: Class Camera

[frames] | no frames]

# Class Camera

Camera/viewpoint for a scene

Instance Methods

__init__(self, position=None, orientation=None, description=None, field_of_view=None) |

writeToFile(self, file) |

Method Details

### __init__(self, position=None, orientation=None, description=None, field_of_view=None)
(Constructor)

Parameters:
  - `position` (Scientific.Geometry.Vector) - the location of the camera
  - `orientation` - an (axis, angle) tuple in which the axis is a vector and the angle a number in radians; axis and angle specify a rotation with respect to the standard orientation along the negative z axis
  - `description` (`str`) - a label for the viewpoint
  - `field_of_view` (positive number) - the field of view